File libkate.changes of Package libkate

-------------------------------------------------------------------
Thu Mar 12 08:29:56 UTC 2020 - Tomáš Chvátal <tchvatal@suse.com>

- Fix build wihtout python2 again, if any py interpreter is found
  it tries to build with it (here it is pulled by doxygen)

-------------------------------------------------------------------
Wed May 29 06:22:45 UTC 2019 - Martin Liška <mliska@suse.cz>

- Remove a strange test that fails with LTO (boo#1136670):
  * disable-namespace-test.patch

-------------------------------------------------------------------
Wed Feb  7 12:31:30 UTC 2018 - davejplater@gmail.com

- Allow Leap:42.3 to build by defining %python2_sitearch to
  python_sitearch.
- Use %license on license file.

-------------------------------------------------------------------
Wed Feb  7 12:13:43 UTC 2018 - tchvatal@suse.com

- Mention baselibs.conf

-------------------------------------------------------------------
Wed Feb  7 12:03:05 UTC 2018 - tchvatal@suse.com

- Make python2 dependency conditional bsc#1076407
- Remove few path based requires/etc
- Conflict properly with older libkate in order to allow migration
  and not clash with liboggkate1 library

-------------------------------------------------------------------
Wed May 28 05:51:19 UTC 2014 - crrodriguez@opensuse.org

- Tell doxygen not to include timestamps to help build-compare 

-------------------------------------------------------------------
Sun Mar  4 14:39:57 UTC 2012 - davejplater@gmail.com

- Renamed kate-tools to libkate-tools.

-------------------------------------------------------------------
Mon Feb 13 10:48:48 UTC 2012 - coolo@suse.com

- patch license to follow spdx.org standard

-------------------------------------------------------------------
Sun Sep 25 06:13:06 UTC 2011 - coolo@suse.com

- fix rename of sub packages

-------------------------------------------------------------------
Fri Sep 23 12:48:05 UTC 2011 - davejplater@gmail.com

- Update to 0.4.1 and added download service.
- Split liboggkate into it's own package and updated baselibs.conf.
- Renamed katedj python-katedj in line with python naming policy.
- Upstream changes since 0.3.8 :
  *update bitstream and shared library versioning missed from 0.4.0
  *timed and object metadata support
  *fix various precision issues with large timestamps
  *fix KateDJ editor with newer versions of wxPython
  *katedec now tries to avoid escaping non ASCII glyphs
  *misc error handling improvements/fixes
  *misc build and documentation fixes

-------------------------------------------------------------------
Fri Sep 16 12:49:42 UTC 2011 - andrea.turrini@gmail.com

- fix typos

-------------------------------------------------------------------
Fri Apr 29 13:57:46 UTC 2011 - jw@novell.com

- Really removed "Other uncritical OpenSource License" from all the
  license fields and retained BSD3c.

-------------------------------------------------------------------
Wed Apr 27 14:10:05 UTC 2011 - davejplater@gmail.com

- Removed "Other uncritical OpenSource License" from the license
  field and retained BSD3c.

-------------------------------------------------------------------
Fri Apr 14 13:38:21 UTC 2011 - toddrme2178@gmail.com

- added 32bit compatibility libraries
- properly escaped commented macro (fix for RPMLINT warning)

-------------------------------------------------------------------
Wed Dec 29 14:52:14 CET 2010 - sbrabec@suse.cz

- Updated python-wxWidgets name.

-------------------------------------------------------------------
Thu Dec  9 14:45:52 UTC 2010 - cristian.rodriguez@opensuse.org

- run make check
- fix -devel package dependencies

-------------------------------------------------------------------
Mon Sep 27 11:45:45 UTC 2010 - dominique-vlc.suse@leuenberger.net

- katedj can only be noarch on openSUSE >= 1130. RPM in older
  versions does not support mixed arch packages.

-------------------------------------------------------------------
Sun Sep 26 10:43:09 UTC 2010 - dimstar@opensuse.org

- Fix build on openSUSE 11.1 by defining the python_site* macros.

-------------------------------------------------------------------
Fri Sep 24 01:31:34 UTC 2010 - reddwarf@opensuse.org

- Make katedj noarch.
- Add Requires for various oggz tools to katedj.
- Use fdupes.

-------------------------------------------------------------------
Tue Sep 21 20:31:36 CEST 2010 - vuntz@opensuse.org

- Add python-base BuildRequires to build KateDJ, and create a
  katedj subpackage.
- Rename kate-utils to libkate-tools.
- Install the API documentation at a more standard place.

-------------------------------------------------------------------
Tue Sep 21 10:51:36 UTC 2010 - dimstar@opensuse.org

- Clean up spec file for Factory inclusion.

-------------------------------------------------------------------
Wed Sep  8 14:46:32 UTC 2010 - dimstar@opensuse.org

- Update to version 0.3.8:
  + various build fixes
  + KateDJ can now decode to LRC and SRT formats
  + add a missing check for memory allocation failure
  + fix a bug in SRT output when decoding more than one stream at a
    time
  + flush output so live encoding/decoding is possible without
    delay
  + katalyzer improvements in page/hole tracking
  + tools now recognize long options --help and --version
  + kateenc now adds an ENCODER comment by default
- Drop kate-png14.patch, upstream included.

-------------------------------------------------------------------
Tue Apr 20 09:11:21 CEST 2010 - dimstar@opensuse.org

- Update to 0.3.7:
  + new encoding functions to specify timing in granule rate units
  + fix SRT timing precision problems
  + new -M option to kateenc to allow HTML-like markup in SRT files
  + allow the last event in an SRT file to not be followed by an
    empty line
- Added kate-png14.patch to fix build with libpng 1.4.

-------------------------------------------------------------------
Tue Sep  1 00:30:44 CEST 2009 - dimstar@opensuse.org

- Update to 0.3.4
  + fix canvas size encoding/decoding on big endian hosts

-------------------------------------------------------------------
Sat May 30 08:36:04 CEST 2009 - dimstar@opensuse.org

- Update to 0.3.3
  + recognize old oggz tools names in configure
  + remove unnecessary shebangs from python source
- Update to 0.3.2
  + increased robustness against corrupt/malicious streams
  + misc build and compatibility tweaks
  + fix py-compile invokation and older oggz tools names